curl --request POST \
--url 'https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lhotzucw1etoe5iw1k&include_errors=true' \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{"input": [{"url": "https://www.amazon.com/sp?ie=UTF8&seller=A2FE2Y3KEQLBV7"}]}'[
{
"seller_name": "Electronics Hub",
"seller_url": "https://www.amazon.com/sp?ie=UTF8&seller=A2FE2Y3KEQLBV7",
"seller_id": "A2FE2Y3KEQLBV7",
"rating": 4.5,
"reviews_count": 8920,
"business_name": "Electronics Hub LLC",
"business_address": "123 Commerce St, Seattle, WA 98101"
}
]
Amazon
Collect sellers info by URL
Use the Bright Data Web Scraper API to collect Sellers Info by URL. POST /datasets/v3/scrape starts a job that returns structured product records as JSON.
POST
/
datasets
/
v3
/
scrape
curl --request POST \
--url 'https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lhotzucw1etoe5iw1k&include_errors=true' \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{"input": [{"url": "https://www.amazon.com/sp?ie=UTF8&seller=A2FE2Y3KEQLBV7"}]}'[
{
"seller_name": "Electronics Hub",
"seller_url": "https://www.amazon.com/sp?ie=UTF8&seller=A2FE2Y3KEQLBV7",
"seller_id": "A2FE2Y3KEQLBV7",
"rating": 4.5,
"reviews_count": 8920,
"business_name": "Electronics Hub LLC",
"business_address": "123 Commerce St, Seattle, WA 98101"
}
]
Query Parameters
string
default:"gd_lhotzucw1etoe5iw1k"
required
The dataset ID used for this request.
Must be set to
gd_lhotzucw1etoe5iw1k to collect Sellers Info by URL data.boolean
default:false
Whether to send notifications when the request is completed.
boolean
default:true
Whether to include errors in the response.
Request Body
object[]
required
[
{
"seller_name": "Electronics Hub",
"seller_url": "https://www.amazon.com/sp?ie=UTF8&seller=A2FE2Y3KEQLBV7",
"seller_id": "A2FE2Y3KEQLBV7",
"rating": 4.5,
"reviews_count": 8920,
"business_name": "Electronics Hub LLC",
"business_address": "123 Commerce St, Seattle, WA 98101"
}
]
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Must be gd_lhotzucw1etoe5iw1k for this dataset.
Send notifications when the request is completed.
Include errors in the response.
Body
application/json
Array of input objects. See Request Body below for the supported fields.
Show child attributes
Show child attributes
Response
200 - application/json
OK. See response example below the parameters.
Was this page helpful?